GlueGen: com.jogamp.common.net.Uri.ASCIIEncoded Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.net.Uri.ASCIIEncoded Class Reference
Inheritance diagram for com.jogamp.common.net.Uri.ASCIIEncoded:
Collaboration diagram for com.jogamp.common.net.Uri.ASCIIEncoded:

## Public Member Functions

| ASCIIEncoded (final String unicode)
| Other characters, which are Unicode chars that are not US-ASCII, and are not ISO Control or are not ISO Space chars are not preserved and encoded into their hexidecimal value prepended by ''. More...
boolean | isASCII ()
Public Member Functions inherited from com.jogamp.common.net.Uri.Encoded
| Encoded (final String vanilla, final String legal)
| Encodes all characters into their hexadecimal value prepended by '', except: More...
boolean | isASCII ()
final String | get ()
| Returns the encoded String. More...
final String | decode ()
| Decodes the string argument which is assumed to be encoded in the ` x-www-form-urlencoded` MIME content type using the UTF-8 encoding scheme. More...
final String | toString ()
final int | hashCode ()
final boolean | equals (final Object o)
final int | length ()
final char | charAt (final int index)
final CharSequence | subSequence (final int start, final int end)
final int | compareTo (final Encoded o)
Encoded | concat (final Encoded encoded)
| See `String#concat(String)`. More...
final Encoded | substring (final int start)
| See `String#substring(int)`. More...
final Encoded | substring (final int start, final int end)
| See `String#substring(int, int)`. More...
final int | indexOf (final int ch)
| See `String#indexOf(int)`. More...
final int | indexOf (final int ch, final int fromIndex)
| See `String#indexOf(int, int)`. More...
final int | indexOf (final String str)
| See `String#indexOf(String)`. More...
final int | indexOf (final String str, final int fromIndex)
| See `String#indexOf(String, int)`. More...
final int | lastIndexOf (final int ch)
| See `String#lastIndexOf(int)`. More...
int | lastIndexOf (final int ch, final int fromIndex)
| See `String#lastIndexOf(int, int)`. More...
int | lastIndexOf (final String str)
| See `String#lastIndexOf(String)`. More...
int | lastIndexOf (final String str, final int fromIndex)
| See `String#lastIndexOf(String, int)`. More...
boolean | startsWith (final String prefix)
| See `String#startsWith(String)`. More...
boolean | startsWith (final String prefix, final int toffset)
| See `String#startsWith(String, int)`. More...
boolean | endsWith (final String suffix)
| See `String#endsWith(String)`. More...
final boolean | equalsIgnoreCase (final Encoded anotherEncoded)
| See `String#equalsIgnoreCase(String)`. More...

## Static Public Member Functions

static ASCIIEncoded | cast (final String encoded)
| Casts the given encoded String by creating a new ASCIIEncoded instance. More...
static Encoded | cast (final String encoded)
| Casts the given encoded String by creating a new Encoded instance. More...

## Detailed Description

Definition at line 449 of file Uri.java.

## Constructor & Destructor Documentation

## ◆ ASCIIEncoded()

com.jogamp.common.net.Uri.ASCIIEncoded.ASCIIEncoded | ( | final String | unicode | ) |

Other characters, which are Unicode chars that are not US-ASCII, and are not ISO Control or are not ISO Space chars are not preserved and encoded into their hexidecimal value prepended by ''.

For example: Euro currency symbol -> "%E2%82%AC".

Uses `Uri#encodeToASCIIString(String)` for implementation.

Parameters

  unicode | unencoded input

Definition at line 475 of file Uri.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ cast()

static ASCIIEncoded com.jogamp.common.net.Uri.ASCIIEncoded.cast | ( | final String | encoded | ) |

static

Casts the given encoded String by creating a new ASCIIEncoded instance.

No encoding will be performed, use with care.

Reimplemented from com.jogamp.common.net.Uri.Encoded.

Definition at line 456 of file Uri.java.

## ◆ isASCII()

boolean com.jogamp.common.net.Uri.ASCIIEncoded.isASCII | ( |  | ) |

Reimplemented from com.jogamp.common.net.Uri.Encoded.

Definition at line 479 of file Uri.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/net/Uri.java